
import Foundation
import App

#Kelvin
abbrev = 'WCKelvin'
iconName = 'WCKelvin'
longName = 'USS Kelvin'
shipFile = 'WCKelvin' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "WC Kelvin Fleet"
SubSubMenu = "Saladin Variant"
species = App.SPECIES_GALAXY

credits = {
	'modName': 'USS Kelvin',
	'author': 'WileyCoyote',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.WCKelvin = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu, "SubSubMenu": SubSubMenu })

#You need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.WCKelvin.desc = 'USS Kelvin - NCC-0514'

if menuGroup:           Foundation.ShipDef.WCKelvin.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.WCKelvin.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]


#Centaurus
abbrev = 'WCKelvinCentaurus'
iconName = 'WCKelvinquad'
longName = 'USS Centaurus'
shipFile = 'WCKelvinCentaurus' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "WC Kelvin Fleet"
SubSubMenu = "Quad Variant"
species = App.SPECIES_GALAXY

credits = {
	'modName': 'USS Centaurus',
	'author': 'WileyCoyote',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.WCKelvinCentaurus = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu, "SubSubMenu": SubSubMenu })

#You need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.WCKelvinCentaurus.desc = 'USS Centaurus - NCC-0626'

if menuGroup:           Foundation.ShipDef.WCKelvinCentaurus.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.WCKelvinCentaurus.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList


#Connie
abbrev = 'WCKelvinConnie'
iconName = 'WCKelvinprise'
longName = 'Kelvin USS Constitution'
shipFile = 'WCKelvinConnie' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "WC Kelvin Fleet"
SubSubMenu = "Constitution Variant"
species = App.SPECIES_GALAXY

credits = {
	'modName': 'USS Kelvin',
	'author': 'WileyCoyote',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.WCKelvinConnie = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu, "SubSubMenu": SubSubMenu })

#You need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.WCKelvinConnie.desc = 'USS Connie - NCC-1700'

if menuGroup:           Foundation.ShipDef.WCKelvinConnie.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.WCKelvinConnie.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]


#Connie2
abbrev = 'WCKelvinConnie2'
iconName = 'WCKelvinprise'
longName = 'Kelvin USS Enterprise'
shipFile = 'WCKelvinConnie2' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "WC Kelvin Fleet"
SubSubMenu = "Constitution Variant"
species = App.SPECIES_GALAXY

credits = {
	'modName': 'USS Enterprise',
	'author': 'WileyCoyote',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.WCKelvinConnie2 = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu, "SubSubMenu": SubSubMenu })

#You need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.WCKelvinConnie2.desc = ' USS Enterprise - NCC-1701'

if menuGroup:           Foundation.ShipDef.WCKelvinConnie2.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.WCKelvinConnie2.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]


#Farragut
abbrev = 'WCKelvinFarragut'
iconName = 'WCKelvintrike'
longName = 'USS Farragut'
shipFile = 'WCKelvinFarragut' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "WC Kelvin Fleet"
SubSubMenu = "Trike Variant"
species = App.SPECIES_GALAXY

credits = {
	'modName': 'USS Farragut',
	'author': 'WileyCoyote',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.WCKelvinFarragut = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu, "SubSubMenu": SubSubMenu })

#You need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.WCKelvinFarragut.desc = 'USS Farragut - NCC-0891'

if menuGroup:           Foundation.ShipDef.WCKelvinFarragut.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.WCKelvinFarragut.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]


#Hood
abbrev = 'WCKelvinHood'
iconName = 'WCKelvinquad'
longName = 'USS Hood'
shipFile = 'WCKelvinHood' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "WC Kelvin Fleet"
SubSubMenu = "Quad Variant"
species = App.SPECIES_GALAXY

credits = {
	'modName': 'USS Hood',
	'author': 'WileyCoyote',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.WCKelvinHood = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu, "SubSubMenu": SubSubMenu })

#You need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.WCKelvinHood.desc = 'USS Hood - NCC-0618'

if menuGroup:           Foundation.ShipDef.WCKelvinHood.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.WCKelvinHood.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]


#Mayflower
abbrev = 'WCKelvinMayflower'
iconName = 'WCKelvintrike'
longName = 'USS Mayflower'
shipFile = 'WCKelvinMayflower' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "WC Kelvin Fleet"
SubSubMenu = "Trike Variant"
species = App.SPECIES_GALAXY

credits = {
	'modName': 'USS Mayflower',
	'author': 'WileyCoyote',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.WCKelvinMayflower = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu, "SubSubMenu": SubSubMenu })

#You need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.WCKelvinMayflower.desc = 'USS Mayflower - NCC-0823'

if menuGroup:           Foundation.ShipDef.WCKelvinMayflower.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.WCKelvinMayflower.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]


#Reliant
abbrev = 'WCKelvinReliant'
iconName = 'WCKelvinreliant'
longName = 'USS Reliant'
shipFile = 'WCKelvinReliant' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "WC Kelvin Fleet"
SubSubMenu = "Miranda Variant"
species = App.SPECIES_GALAXY

credits = {
	'modName': 'USS Reliant',
	'author': 'WileyCoyote',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.WCKelvinReliant = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu, "SubSubMenu": SubSubMenu })

#You need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.WCKelvinReliant.desc = 'USS Reliant - NCC-1864'

if menuGroup:           Foundation.ShipDef.WCKelvinReliant.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.WCKelvinReliant.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]


#Saladin
abbrev = 'WCKelvinSaladin'
iconName = 'WCKelvinSaladin'
longName = 'USS Saladin'
shipFile = 'WCKelvinSaladin' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "WC Kelvin Fleet"
SubSubMenu = "Saladin Variant"
species = App.SPECIES_GALAXY

credits = {
	'modName': 'USS Saladin',
	'author': 'WileyCoyote',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.WCKelvinSaladin = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu, "SubSubMenu": SubSubMenu })

#You need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.WCKelvinSaladin.desc = 'USS Saladin - NCC-0500'

if menuGroup:           Foundation.ShipDef.WCKelvinSaladin.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.WCKelvinSaladin.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]


#Saratoga
abbrev = 'WCKelvinSaratoga'
iconName = 'WCKelvinreliant'
longName = 'USS Saratoga'
shipFile = 'WCKelvinSaratoga' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "WC Kelvin Fleet"
SubSubMenu = "Miranda Variant"
species = App.SPECIES_GALAXY

credits = {
	'modName': 'USS Saratoga',
	'author': 'WileyCoyote',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.WCKelvinSaratoga = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu, "SubSubMenu": SubSubMenu })

#You need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.WCKelvinSaratoga.desc = 'USS Saratoga - NCC-1937'

if menuGroup:           Foundation.ShipDef.WCKelvinSaratoga.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.WCKelvinSaratoga.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]


#Truman
abbrev = 'WCKelvinTruman'
iconName = 'WCKelvintrike'
longName = 'USS Truman'
shipFile = 'WCKelvinTruman' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "WC Kelvin Fleet"
SubSubMenu = "Trike Variant"
species = App.SPECIES_GALAXY

credits = {
	'modName': 'USS Truman',
	'author': 'WileyCoyote',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.WCKelvinTruman = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu, "SubSubMenu": SubSubMenu })

#You need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.WCKelvinTruman.desc = 'USS Truman - NCC-0854'

if menuGroup:           Foundation.ShipDef.WCKelvinTruman.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.WCKelvinTruman.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]


#Walcott
abbrev = 'WCKelvinWalcott'
iconName = 'WCKelvinquad'
longName = 'USS Walcott'
shipFile = 'WCKelvinWalcott' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "WC Kelvin Fleet"
SubSubMenu = "Quad Variant"
species = App.SPECIES_GALAXY

credits = {
	'modName': 'USS Walcott',
	'author': 'WileyCoyote',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.WCKelvinWalcott = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu, "SubSubMenu": SubSubMenu })

#You need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.WCKelvinWalcott.desc = 'USS Walcott - NCC-0751'

if menuGroup:           Foundation.ShipDef.WCKelvinWalcott.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.WCKelvinWalcott.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]